dkavolis

[1.8-1.9] Ferram Aerospace Research Continued: v0.15.11.4 "Mach" 22/02/20

Recommended Posts

woohoo so... yeah loaded up the source in visual studio 2019... resolved all the references in both ferramGraph and ferramAerospaceResearch, set the target to .NET 4.0 ... tons of unresolved unity symbols.. "consider adding a reference to this class" (referring to Unity).

 

C# is not my forte, nor is visual studio.  seems like there is.. a lot to do here, and unfortunately it's beyond me to fix.  Happy to help test, though, @dkavolis, once you're at that point.

Share this post


Link to post
Share on other sites
On 9/1/2019 at 6:14 AM, Drew Kerman said:

I've been trying for the longest time to get access to the data in the FAR Flt Data window or calculate them in kOS but you know what? I don't think I've ever just asked whether it's possible a future release of FAR itself could just spit out a CSV when enabled in the settings. Nothing fancy

Submit an issue on github with specifications what it should do and I'll get on it when I find the time. I'd also like to have some kind of history dumping/visualization in FAR. Writing CSV files shouldn't be too hard but I'm not familiar with extending the UI in its current state and would rather transition to what upgraded Unity offers.

I experimented with UI line plotter in Unity 2018 some time ago as a replacement for ferramGraph and it mostly worked in the editor so it's mostly assembling the UI that's left.

 

Ok, a quick bugfix for 1.7

Ferram Aerospace Research v0.15.11.2 "Mach"

Update to MM 4.0.3

Revert NaN stability derivatives if no stable AoA is found #75 (#81)
Fix #74 (#76, @parachutingturtle)

Edited by dkavolis
release

Share this post


Link to post
Share on other sites

Can someone test that there are no issues in KSP 1.8 with FAR from #80? Only binaries and shader assets need to be replaced (both are in the PR).

Share this post


Link to post
Share on other sites
57 minutes ago, dkavolis said:

Can someone test that there are no issues in KSP 1.8 with FAR from #80? Only binaries and shader assets need to be replaced (both are in the PR).

I will eagerly do so tonight and confirm results.

Share this post


Link to post
Share on other sites
22 hours ago, ss8913 said:

I will eagerly do so tonight and confirm results.

Do you happen to encounter with FARc in 1.8 any of the following type of control surface NREs?  

On 10/17/2019 at 2:41 AM, Boris-Barboris said:
On 10/22/2019 at 8:08 PM, Boris-Barboris said:

 The same problem should hit the FAR guys when they'll start porting it to 1.8 if my assumption is correct.

Share this post


Link to post
Share on other sites
1 minute ago, AloE said:

Do you happen to encounter with FARc in 1.8 any of the following type of control surface NREs?  

Especially when trying to load a saved airplane in SPH.

Share this post


Link to post
Share on other sites

so I've done some flight testing... my stock altimeter displays no numbers, but I uninstalled FAR and tried again, can confirm that FAR is *not* responsible for that issue (not sure what is).

Everything in SPH looked to be pretty good, the debug voxels do show up, just.. very small.  Flying the plane is .. possibly a problem; the graph in SPH said this particular plane should be able to hold level at 0.35M at 8 degrees AOA... in reality it would drop out of the sky at speeds far in excess of 0.35M (calculated in SPH at 1000m, flight was around there, as I said though my altimeter was broken) so perhaps there is a problem with generating enough lift?  was using all stock parts for the plane.

I'll doublecheck on the NREs.  Would you mind telling me what you had to do to the mod to make it work right with 1.8/new unity?

Share this post


Link to post
Share on other sites

I have an issue where installing this basically removes parachutes from my game. The parts are there, but they have zero functionality. Parachutes don't appear in staging, they have no properties, no right-click menu, etc. 

Share this post


Link to post
Share on other sites
6 hours ago, spacewalruss said:

I have an issue where installing this basically removes parachutes from my game. The parts are there, but they have zero functionality. Parachutes don't appear in staging, they have no properties, no right-click menu, etc. 

FAR use light version of Real chute mod for several KSP and FAR versions ago. It could be that this "light" version of Real chutes have become broken with latest KSP. More or less "easy" workaround of this is to install full Real chute mod. That being said, I don't know yet if Real chute haqve being properly updated for latest KSP too. So, some more patience until all esential dependency mods are updated is required.

Share this post


Link to post
Share on other sites
11 hours ago, ss8913 said:

Everything in SPH looked to be pretty good, the debug voxels do show up, just.. very small.  Flying the plane is .. possibly a problem; the graph in SPH said this particular plane should be able to hold level at 0.35M at 8 degrees AOA... in reality it would drop out of the sky at speeds far in excess of 0.35M (calculated in SPH at 1000m, flight was around there, as I said though my altimeter was broken) so perhaps there is a problem with generating enough lift?  was using all stock parts for the plane.

My crafts seem to be working fine. Try enabling aero visualization in FAR menu, arrows will show if any of the parts are not producing lift.

10 hours ago, ss8913 said:

I'll doublecheck on the NREs.  Would you mind telling me what you had to do to the mod to make it work right with 1.8/new unity?

The NREs come from KSP side of code so FAR is not the issue. I noticed that the exceptions are only thrown when KSP tries to upgrade existing controllable surfaces in the craftsave to custom ones, if the craftsave already contains those custom modules, the craft loads fine.

It seems that the KSP API has not changed with the update, though I cannot be sure whether the functionality has stayed the same.

The update consists of:

  • Updated .NET version
  • Added new Unity references
  • Changed compatibility checker for KSP 1.8
  • Recompiled shaders with Unity 2019.2

Also, need to wait for TweakScale udpate to 1.8 since the Scale_Redist has been compiled with .NET 3.5 and addon binder can no longer load it.

10 hours ago, spacewalruss said:

I have an issue where installing this basically removes parachutes from my game. The parts are there, but they have zero functionality. Parachutes don't appear in staging, they have no properties, no right-click menu, etc. 

Parachutes are working fine on my KSP with MFI, MM, Debug Stuff, KSP AVC and KSPDev LogConsole installed. May be bad mod interaction.

4 hours ago, kcs123 said:

FAR use light version of Real chute mod for several KSP and FAR versions ago. It could be that this "light" version of Real chutes have become broken with latest KSP. More or less "easy" workaround of this is to install full Real chute mod. That being said, I don't know yet if Real chute haqve being properly updated for latest KSP too. So, some more patience until all esential dependency mods are updated is required.

RealChute has been updated to KSP 1.8 without any changes to non-checker code compared to 1.7 release.

 

In the meantime, new stock parts have been patched 2465f92, .

Share this post


Link to post
Share on other sites
21 minutes ago, dkavolis said:

The NREs come from KSP side of code so FAR is not the issue. I noticed that the exceptions are only thrown when KSP tries to upgrade existing controllable surfaces in the craftsave to custom ones, if the craftsave already contains those custom modules, the craft loads fine.

I already wrote this in AtmosphereAutopilot thread, but here is the small mod which may help with the problem: https://drive.google.com/open?id=1urH693pKZDQhiIQn9Gf5VCE0D7QKqSI0. The file contains both sources and a compiled dll. It changes the upgrade scripts to fix the KSP bug reported here. I didn't test it fully though, since my 1.8 install is totally broken even without this bug. But at least it doesn't introduce any errors of its own :)

Share this post


Link to post
Share on other sites

Hey, I just wanna say I love FAR, and you have done a great job. With the new update, however i get the message "Incompatible Mods Detected", the game thinks this mod is outdated, even though i downloaded the latest version. This prohibits the game from loading. Any suggestions? Thanks.

Share this post


Link to post
Share on other sites
2 minutes ago, Boyanski said:

Hey, I just wanna say I love FAR, and you have done a great job. With the new update, however i get the message "Incompatible Mods Detected", the game thinks this mod is outdated, even though i downloaded the latest version. This prohibits the game from loading. Any suggestions? Thanks.

All currently available releases are for KSP 1.4-1.7, you can try 1.8 version from https://github.com/lukecologne/Ferram-Aerospace-Research

Share this post


Link to post
Share on other sites
40 minutes ago, Boyanski said:

Thanks i got it working. Are you having problems loading KSP 1.8? My game is stuck on "Loading Expansions", even though i have none of them.

in 1.8, using incompatible mods causes this.  many of the mods listed on ckan as being compatible with "any" version actually arent, and will cause this, plus of course the ones specifically called out as 1.7.x or earlier.

Share this post


Link to post
Share on other sites

Seems like FAR works fine on 1.8 so here it is:

Update to MM 4.1.0
Update to MFI 1.2.7.0

Update to KSP 1.8 (thanks @lukecologne)
Update shaders to Unity 2019.2
Update .NET to 4.8

InstallChecker now runs instantly instead of waiting for main menu

 

This release won't work with KSP <1.8 due to shaders

Share this post


Link to post
Share on other sites

Great news and thanks! Seems to work well.

Share this post


Link to post
Share on other sites
On 10/26/2019 at 11:45 AM, dkavolis said:

Also, need to wait for TweakScale udpate to 1.8 since the Scale_Redist has been compiled with .NET 3.5 and addon binder can no longer load it.

Wow… That caught me with my pants down. Thanks for the heads up! I completely forgot about the addon binder!!!

Share this post


Link to post
Share on other sites
2 hours ago, Lisias said:

Wow… That caught me with my pants down. Thanks for the heads up! I completely forgot about the addon binder!!!

Actually there's something else going on with AssemblyLoader, Scale_Redist is loaded fine but it still throws errors. AssemblyLoader might be trying to load it multiple times.

Edited by dkavolis

Share this post


Link to post
Share on other sites
On 10/26/2019 at 8:48 PM, kcs123 said:

FAR use light version of Real chute mod for several KSP and FAR versions ago. It could be that this "light" version of Real chutes have become broken with latest KSP. More or less "easy" workaround of this is to install full Real chute mod. That being said, I don't know yet if Real chute haqve being properly updated for latest KSP too. So, some more patience until all esential dependency mods are updated is required.

 

 

On 10/27/2019 at 1:45 AM, dkavolis said:

 

Parachutes are working fine on my KSP with MFI, MM, Debug Stuff, KSP AVC and KSPDev LogConsole installed. May be bad mod interaction.

RealChute has been updated to KSP 1.8 without any changes to non-checker code compared to 1.7 release.

 

In the meantime, new stock parts have been patched 2465f92, .

Yup, full version of RealChute fixed it. Cheers folks! 

Share this post


Link to post
Share on other sites

Anyone having problem reinstalling?

I keep getting the following from CKAN...

Quote

 

About to install...

 * Ferram Aerospace Research Continued 3:0.15.11.3 (github.com, 811.5 KiB)
 * ModularFlightIntegrator 1.2.7.0 (ksp.sarbian.com, 9.5 KiB)

Downloading "https://github.com/dkavolis/Ferram-Aerospace-Research/releases/download/v0.15.11.3_Mach/FAR_0_15_11_3_Mach.zip"
Downloading "https://ksp.sarbian.com/jenkins/job/ModularFlightIntegrator/33/artifact/ModularFlightIntegrator-1.2.7.0.zip"
Oh no!

It looks like you're trying to install a mod which is already installed,
or which conflicts with another mod which is already installed.

As a safety feature, the CKAN will *never* overwrite or alter a file
that it did not install itself.

If you wish to install FerramAerospaceResearchContinued 3:0.15.11.3 via the CKAN,
then please manually uninstall the mod which owns:

Ships/@thumbs/SPH/E42.png

and try again.
Your GameData has been returned to its original state.
Error during installation!
An unknown error occurred, please try again!

 

Thing is that neither mod is within the /GameData so I am wondering if there are left over files (.DDL's) tht could be causing this?

Share this post


Link to post
Share on other sites
45 minutes ago, Redacted said:

Anyone having problem reinstalling?

I keep getting the following from CKAN...

Thing is that neither mod is within the /GameData so I am wondering if there are left over files (.DDL's) tht could be causing this?

Had the same message. Just go to your KSP folder and delete the old FAR files that are gonna be mentioned in the error messages. Delete file -> retry install -> look up path in error message. Rinse, repeat.

Share this post


Link to post
Share on other sites
1 hour ago, Redacted said:

Anyone having problem reinstalling?

I keep getting the following from CKAN...

Thing is that neither mod is within the /GameData so I am wondering if there are left over files (.DDL's) tht could be causing this?

it's because of the ships , just move all ships files from vab and sph and return them after installing the mod

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.